Bug 989244 - RHEVM-CLI: --parent-tag-id option doesn't exists in 'add tag' options, it is working (should be added to autocompletion)
RHEVM-CLI: --parent-tag-id option doesn't exists in 'add tag' options, it is...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ravi Nori
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 13:29 EDT by Ilia Meerovich
Modified: 2016-02-10 14:21 EST (History)
8 users (show)

See Also:
Fixed In Version: is9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 14716 None None None Never

  None (edit)
Description Ilia Meerovich 2013-07-28 13:29:59 EDT
Build:IS7

[RHEVM shell (connected)]# update tag 
correlation_id   description      name             parent-tag-name  
[RHEVM shell (connected)]# exit
[imeerovi@imeerovi ART]$ rpm -q rhevm-cli
rhevm-cli-3.3.0.5-1.el6ev.noarch
[imeerovi@imeerovi ART]$ 

when it passed it is working:
[RHEVM shell (connected)]# list tags 

id         : 00000000-0000-0000-0000-000000000000                                                                                                                                                                                            
name       : root                                                                                                                                                                                                                            
description: root                                                                                                                                                                                                                            

[RHEVM shell (connected)]# add tag --name 'foo'

id           : d51bc462-e214-4281-b07c-7741e4189541                                                                                                                                                                                          
name         : foo                                                                                                                                                                                                                           
parent-tag-id: 00000000-0000-0000-0000-000000000000                                                                                                                                                                                          

[RHEVM shell (connected)]# list tags 

id         : d51bc462-e214-4281-b07c-7741e4189541                                                                                                                                                                                            
name       : foo                                                                                                                                                                                                                             

id         : 00000000-0000-0000-0000-000000000000                                                                                                                                                                                            
name       : root                                                                                                                                                                                                                            
description: root                                                                                                                                                                                                                            

[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --parent-tag-id 'd51bc462-e214-4281-b07c-7741e4189541' --name 'Subfoo'

id           : 3f520a84-153a-48dc-9706-09c1a251349a                                                                                                                                                                                          
name         : Subfoo                                                                                                                                                                                                                        
description  : Test Tag Description                                                                                                                                                                                                          
parent-tag-id: d51bc462-e214-4281-b07c-7741e4189541                                                                                                                                                                                          

[RHEVM shell (connected)]# list tags 

id         : 3f520a84-153a-48dc-9706-09c1a251349a                                                                                                                                                                                            
name       : Subfoo                                                                                                                                                                                                                          
description: Test Tag Description                                                                                                                                                                                                            

id         : d51bc462-e214-4281-b07c-7741e4189541                                                                                                                                                                                            
name       : foo                                                                                                                                                                                                                             

id         : 00000000-0000-0000-0000-000000000000                                                                                                                                                                                            
name       : root                                                                                                                                                                                                                            
description: root                                                                                                                                                                                                                            

[RHEVM shell (connected)]# update tag Subfoo  --parent-tag-description 'Test Tag Description' --parent-tag-parent-tag-id 'e9d06f3b-b3d0-4c1c-95cb-5ac70d426a70' --parent-tag-id 'd51bc462-e214-4281-b07c-7741e4189541'

id           : 3f520a84-153a-48dc-9706-09c1a251349a                                                                                                                                                                                          
name         : Subfoo                                                                                                                                                                                                                        
description  : Test Tag Description                                                                                                                                                                                                          
parent-tag-id: d51bc462-e214-4281-b07c-7741e4189541                                                                                                                                                                                          

[RHEVM shell (connected)]# update tag Subfoo  --parent-tag-description 'foo Test Tag Description' --parent-tag-parent-tag-id 'e9d06f3b-b3d0-4c1c-95cb-5ac70d426a70' --parent-tag-id 'd51bc462-e214-4281-b07c-7741e4189541'

id           : 3f520a84-153a-48dc-9706-09c1a251349a                                                                                                                                                                                          
name         : Subfoo                                                                                                                                                                                                                        
description  : Test Tag Description                                                                                                                                                                                                          
parent-tag-id: d51bc462-e214-4281-b07c-7741e4189541                                                                                                                                                                                          

[RHEVM shell (connected)]#
Comment 1 Michael Pasternak 2013-07-30 09:34:50 EDT
ravi, wasn't this already fixed by 80882cb4d962c0bcca579d4fd4601ffb598cd13e?
Comment 2 Ilia Meerovich 2013-09-08 09:42:43 EDT
[imeerovi@imeerovi (97% =) ~]$ rpm -q rhevm-cli
rhevm-cli-3.3.0.6-1.el6ev.noarch
[imeerovi@imeerovi (97% =) ~]$ rhevm-shell 

 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (connected)]# add tag foo 
correlation_id   description      group            host             name             parent-tag-id    parent-tag-name  user             vm
Comment 3 Itamar Heim 2014-01-21 17:21:12 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:26:36 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.